<p>Before installing Turtlebot3, make sure to make the following two commands:</p><p><code> sudo apt-get update</code></p><p><code> sudo apt-get upgrade</code></p><p><strong><em>The installation may fail if you do not an upgrade. </em></strong></p><p>Then, do the following (if you install for <strong><em>noetic</em></strong>, make <code>-b noetic-devel </code>to get the right branch)</p><pre class="prettyprint linenums">$ cd ~/catkin_ws/src/
$ git clone https://github.com/ROBOTIS-GIT/turtlebot3_msgs.git -b noetic-devel
$ git clone  https://github.com/ROBOTIS-GIT/turtlebot3.git -b noetic-devel
$ cd ~/catkin_ws &amp;&amp; catkin_make</pre><p>If you install on <strong><em>melodic</em></strong>, change <code>-b noetic-devel</code> with <code>-b melodic-devel</code> </p><p>This will install the core packages of Turtlebot3. </p><p>Afterward, and <strong>after the correct compilation of the catkin_ws,</strong> you can download and installation the simulation packages$ cd </p><pre class="prettyprint linenums">~/catkin_ws/src/
$ git clone&nbsp;https://github.com/ROBOTIS-GIT/turtlebot3_simulations.git
$ cd ~/catkin_ws &amp;&amp; catkin_make</pre><p>As such the Turtlebot3 simulator should be installed. </p><p>Then, made the modification in .bashrch file as follows:</p><pre class="prettyprint linenums"> cd
gedit .bashrc</pre><p>Inside the bashrc file put the following aliases to make it easier access to different executables in the <strong>alias</strong> section. </p><pre class="prettyprint linenums">alias burger='export TURTLEBOT3_MODEL=burger'
alias waffle='export TURTLEBOT3_MODEL=waffle'
alias tb3fake='roslaunch turtlebot3_fake turtlebot3_fake.launch'
alias tb3teleop='roslaunch turtlebot3_teleop turtlebot3_teleop_key.launch'
alias tb3='roslaunch turtlebot3_gazebo turtlebot3_empty_world.launch'
alias tb3maze='roslaunch turtlebot3_gazebo turtlebot3_world.launch'
alias tb3house='roslaunch turtlebot3_gazebo turtlebot3_house.launch'</pre><p>also at the end of the file, write the following commands</p><pre class="prettyprint linenums">source /opt/ros/noetic/setup.bash
source /home/akoubaa/catkin_ws/devel/setup.bash
export TURTLEBOT3_MODEL=waffle
export SVGA_VGPU10=0</pre><p><strong><em>The last command will let you open Gazebo on a Virtual Machine and avoid crashing its display. </em></strong></p><p>You can change <code>export TURTLEBOT3_MODEL=waffle</code> by export <code>TURTLEBOT3_MODEL=burger</code> if you want to use TB3 Burger. </p>